SQL Server 2008 and Django 1.8: is it supported?

Issue #86 resolved
baxeico
created an issue

I have a project that is currently using SQL Server 2008, Django 1.6 and django-mssql 1.5.1.

I cannot upgrade SQL Server (its a client server out of my control), but I'd like to upgrade Django to 1.8 and django-mssql.

Looking at the versions officially supported it seems to me that there is no version supporting both Django 1.8 and SQL Server 2008, am I correct?

Comments (2)

  1. Michael Manfre repo owner

    You are correct. Microsoft ended mainstream support for SQL 2008 back in 2014 and it was dropped from django-mssql to ease bugs and maintenance issues caused by the lack of sane limit/offset functionality.

  2. Jury Gerasimov

    I also need to connect to MS SQL Server 2008 R2 and also can't change this because it's a client's database. We've moved to Django 1.8 already. Is there any way to use old version of your library with Django 1.8 ?

  3. Log in to comment